## pilot-link 0.12.5

=== bindings/Perl/Makefile ===
# This Makefile is for the PDA::Pilot extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.55_02 (Revision: 65502) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     DEFINE => q[-DPERL_POLLUTE]
#     INC => q[-I../../include]
#     INSTALLDIRS => q[vendor]
#     NAME => q[PDA::Pilot]
#     PREFIX => q[/usr/local]
#     PREREQ_PM => {  }
#     VERSION => q[0.12.5]
#     XSPROTOARG => q[-noprototypes]
#     clean => { FILES=>q[const-c.inc const-xs.inc] }
#     depend => { Pilot.c=>q[const-c.inc const-xs.inc] }
#     dynamic_lib => { OTHERLDFLAGS=>q[-L../../libpisock/.libs -lpisock] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.10/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -g -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = /lib/libc-2.11.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.24-23-server
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.10.1
SITEARCHEXP = /usr/local/lib/perl/5.10.1
SO = so
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = PDA::Pilot
NAME_SYM = PDA_Pilot
VERSION = 0.12.5
VERSION_MACRO = VERSION
VERSION_SYM = 0_12_5
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.12.5
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr/local
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.10
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.10.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.10
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.10.1
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(SITEPREFIX)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(VENDORPREFIX)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.10
PERL_ARCHLIB = /usr/lib/perl/5.10
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.10/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.10/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.55_02
MM_REVISION = 65502

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = PDA/Pilot
BASEEXT = Pilot
PARENT_NAME = PDA
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I../../include
DEFINE = -DPERL_POLLUTE
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = Pilot.xs
C_FILES  = Pilot.c
O_FILES  = Pilot.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = Pilot.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/PDA
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/PDA

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Pilot.pm \
	dump.pl

PM_TO_BLIB = dump.pl \
	$(INST_LIB)/PDA/dump.pl \
	Pilot.pm \
	$(INST_LIB)/PDA/Pilot.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.55_02
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/share/perl/5.10/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = -noprototypes
XSUBPPDEPS = /usr/share/perl/5.10/ExtUtils/typemap typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/share/perl/5.10/ExtUtils/typemap -typemap typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = PDA-Pilot
DISTVNAME = PDA-Pilot-0.12.5


# --- MakeMaker macro section:


# --- MakeMaker depend section:
Pilot.c : const-c.inc const-xs.inc


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2 -g
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# PDA::Pilot might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)

=== debian/changelog ===
pilot-link (0.12.5-6ubuntu2) trusty; urgency=medium

  * Build using dh_autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 21:02:40 +0100

pilot-link (0.12.5-6ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 18:00:46 -0700

pilot-link (0.12.5-6) unstable; urgency=low

  * Fix "Use dh_autotools-dev to update config.{sub,guess} for AArch64"
    patch from Ubuntu (Closes: #727270)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Oct 2013 20:36:42 +0100

pilot-link (0.12.5-5ubuntu3) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:43:11 +0100

pilot-link (0.12.5-5ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 18:18:05 +0200

pilot-link (0.12.5-5ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 00:08:22 +0000

pilot-link (0.12.5-5) unstable; urgency=low

  * upgrade to debhelper 9
  * Fix "should not depend on libncurses5-dev" dependency removed
    (Closes: #667891)
  * Fix "pilot-read-ical depends upon external program" removed pilot-read-ical
    (Closes: #608468)
  * Fix "pilot-memos.1.gz: HTML tags in man page" fixed upstream
    (Closes: #391984)
  * Fix "HTML fragments in man pages" fixed upstream
    (Closes: #402045)
  * debian/control: Standards-Version: 3.9.2 => 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Apr 2012 20:17:47 +0200

pilot-link (0.12.5-4ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:38:08 +0100

pilot-link (0.12.5-4ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:29:29 +0000

pilot-link (0.12.5-4build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 00:37:26 +0000

pilot-link (0.12.5-4) unstable; urgency=low

  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    use [linux-any] (Closes: #634729)
  * Fix "FTBFS with libpng-dev in experimental: pilot-read-notepad.c"
    Use patch from FreeBSD (Closes: #636758)
    debian/patches/33-new-png-lib

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 06 Aug 2011 19:01:23 +0200

pilot-link (0.12.5-3) unstable; urgency=low

  * Fix "Emptying dependency_libs in .la files". Add a sed call in
    debian/rules (Closes: #633330)
  * Fix "FTBFS with perl 5.14: error: 'sv_undef' undeclared (first use
    in this function)" using the patch
    debian/patches/0001-Don-t-use-PERL_POLLUTE-macros.patch from Niko Tyni
    <ntyni@debian.org> (Closes: #628510)
  * Standards-Version: 3.8.4 -> 3.9.2.
    - Remove -D_REENTRANT from CFLAGS
    - the 'dependency_libs' setting should be emptied (bug #633330 fixed above)
  * fix lintian warning: debian-rules-missing-recommended-target build-arch
  * fix lintian warning: "I: libpisock9: conflicts-with-version pilot-link (<<
    0.12.2-7)" by removing references to this very old version

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Jul 2011 17:13:20 +0200

pilot-link (0.12.5-2) unstable; urgency=low

  * debian/rules: do not use -l dh_shlibdeps argument any more
  * debian/symbols: new file.
  * debian/rules: add dependencies between packages. Closes: #569426:
    pilot-link: FTBFS: dpkg-shlibdeps: error: couldn't find library
    libpisock.so.9 needed by debian/libpisync1/usr/lib/libpisync.so.1.0.3 (ELF
    format: 'elf64-x86-64'; RPATH: '')

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 11 Feb 2010 21:44:22 +0100

pilot-link (0.12.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/30_3_arg_open: remove since included upstream
  * debian/rules: parallel compilation now works and can be set using
    parallel= in DEB_BUILD_OPTIONS
  * debian/patches/32_typos: fix typos found by lintian
  * debian/pilot-link.NEWS: fix debian-news-entry-without-blank-line
  * debian/pilot-link.NEWS: fix debian-news-entry-uses-asterisk
  * Standards-Version: 3.8.3 -> 3.8.4. no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 10 Feb 2010 14:18:41 +0100

=== debian/control ===
Source: pilot-link
Section: otherosfs
Build-Depends: debhelper (>= 9~), perl (>= 5.6), libpng-dev, libreadline-dev, python-all-dev (>= 2.6.6-3~), python-all-dbg, libusb-dev, libbluetooth-dev [linux-any], pkg-config, libpopt-dev, autotools-dev, dh-autoreconf
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.9.3
X-Python-Version: >= 2.3
Homepage: http://www.pilot-link.org/

Package: pilot-link
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pilot-link-perl
Suggests: libpda-pilot-perl
Description: tools to communicate with a PalmOS PDA
 The package contains many command line programs to manipulate databases
 stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
 sync, and restore databases.

Package: libpda-pilot-perl
Architecture: any
Section: perl
Priority: extra
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
Conflicts: pilot-link-perl
Description: Perl module to communicate with a PalmOS PDA
 This package provides the PDA::Pilot module, which provides Perl programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock
Architecture: any
Section: python
Priority: extra
Suggests: python-pisock-dbg
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-python
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Conflicts: pilot-link-python
Description: Python module to communicate with PalmOS PDA
 This package provides the pisock module, which provides Python programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-pisock (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python module to communicate with PalmOS PDA (debug extension)
 This package provides the pisock module built for the Python debug
 interpreter, which provides Python programs with means of
 communicating directly with a PalmOS device.

Package: libpisock9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jpilot, pilot-link, kpilot, gnome-pilot, evolution, claws-mail, sylpheed
Breaks: udev (<< 0.136-1), jpilot (<< 1.6.2.4-2), python-jppy (<= 0.0.47-1.1)
Description: library for communicating with a PalmOS PDA
 libpisock9 is a library used by pilot-link programs and any other
 packages that want to communicate with a PalmOS device.
 .
 See packages jpilot, pilot-link, malsync, kpilot, gnome-pilot,
 evolution if you are looking to user programs for your PDA.

Package: libpisync1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnome-pilot, evolution
Description: synchronization library for PalmOS devices
 libpisync is a library for applications to synchronize data with PalmOS
 devices.
 .
 See packages gnome-pilot and evolution if you are looking to user
 programs for your PDA.

Package: libpisock-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libpisock9 (= ${binary:Version}), libpisync1 (= ${binary:Version}), libusb-dev, libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Replaces: pilot-link (<= 0.11.3-4)
Description: development files for communicating with a PalmOS PDA
 libpisock-dev contains static libraries, header files and dynamic
 libraries for compiling applications that communicate with a PalmOS
 device.
 .
 You will need this package if you want to compile a C or C++ using
 libpisock9 or libpisync1.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

libpkg = libpisock9
synclibpkg = libpisync1
devpkg = libpisock-dev
runpkg = pilot-link
perlpkg = libpda-pilot-perl
pythonpkg = python-pisock

CFLAGS = -Wall -g -pthread
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	# parallel compilation is NOT supported and will fail
	MAKEFLAGS += -j$(NUMJOBS)
endif

#ifeq (hppa,$(DEB_BUILD_ARCH))
#	CFLAGS += -ffunction-sections
#endif

PYVERS=$(shell pyversions -r)

build: build-arch build-indep
build-arch: build-stamp build-python-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	dh_autoreconf
	./configure --prefix=/usr \
		--enable-conduits --enable-libusb \
		--with-perl --with-python --with-libpng \
		--with-libiconv \
		CFLAGS="$(CFLAGS)"

	# force installation of dump.pl & Pilot.pm (#413502)
	touch bindings/Perl/dump.pl

	$(MAKE)
	touch build-stamp

build-python-stamp: build-stamp
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) -C bindings python-build PYTHON=$$python; \
		$(MAKE) -C bindings python-build PYTHON=$$python-dbg; \
	done
	touch build-python-stamp

clean:
	dh_testdir
	rm -f build-stamp pre-binary-stamp
	if [ -e Makefile ] ; then $(MAKE) distclean; fi
	rm -f config.log changelog libtool
	rm -rf bindings/Python/build
	dh_autotools-dev_restoreconfig
	dh_autoreconf_clean
	dh_clean

pre-binary: build pre-binary-stamp
pre-binary-stamp:
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	-find -name site-packages | xargs rm -rf
	$(MAKE) -C doc/man install DESTDIR=`pwd`/debian/tmp
	set -e; \
	cd bindings/Python; \
	for python in $(PYVERS); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
		$$python-dbg setup.py install --root=$(CURDIR)/debian/python-pisock-dbg --install-layout=deb; \
	done

	# mini patches
	cp ChangeLog changelog
	chmod +x debian/tmp/usr/lib/perl5/PDA/dump.pl

	# install the udev rule file to get the correct file group and permissions 
	mv debian/tmp/usr/share/pilot-link/udev/60-libpisock.rules  debian/libpisock9.udev

	# remove .py files to avoid conflicts with python-pisock package
	rm debian/python-pisock-dbg/usr/lib/python*/*-packages/*.py
	# remove egg file too (LP: #202773)
	rm debian/python-pisock-dbg/usr/lib/python*/*-packages/python_libpisock-*.egg-info

	dh_install --list-missing --sourcedir=debian/tmp

	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
	touch pre-binary-stamp

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build $(libpkg) $(devpkg) $(perlpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg

$(libpkg): build pre-binary
	echo $@
	dh_testroot
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installudev -p $@
	dh_installmodules -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@ --dbg-package=$(pythonpkg)-dbg
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installmodules -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(synclibpkg): build pre-binary $(libpkg)
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@
	
$(devpkg): build pre-binary $(libpkg)
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(runpkg): build pre-binary $(libpkg)
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_installmenu -p $@
	dh_installman -p $@
	dh_installchangelogs -p $@
	dh_installdebconf -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(perlpkg): build pre-binary $(libpkg)
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_perl -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@ -- -Tdebian/libpda-pilot-perl.substvars.debhelper -Tdebian/libpda-pilot-perl.substvars
	dh_md5sums -p $@
	dh_builddeb -p $@

$(pythonpkg): build pre-binary $(libpkg)
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_python2 -p$@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(pythonpkg)-dbg: build pre-binary $(pythonpkg)
	echo $@
	dh_installdocs -p $@
	rm -rf debian/$@/usr/share/doc/$@
	ln -sf $(pythonpkg) debian/$@/usr/share/doc/$@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_python2 -p$@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary \
	$(libpkg) $(devpkg) $(runpkg) $(perlpkg) $(pythonpkg) pre-binary

## pilot-link 0.12.5-dfsg

=== debian/changelog ===
pilot-link (0.12.5-dfsg-2) unstable; urgency=medium

  * Fix "deprecation of python-support" use dh-python instead of
    python-support (Closes: #786254)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 09 Aug 2015 16:25:03 +0200

pilot-link (0.12.5-dfsg-1) unstable; urgency=medium

  * Fix "Duplicate and conflicting definition of function ColourCorrect"
    rename ColourCorrect and make it static (Closes: #750983)
  * remove .o and .so from the source package and rename source package to
    -dfsg
  * remove libpda-pilot-perl package as it does not build anymore

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 14 Jun 2014 22:30:32 +0200

pilot-link (0.12.5-7) unstable; urgency=low

  * Fix "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4" use dh_autoreconf instead of
    dh_autotools-dev_updateconfig (Closes: #727270)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Jan 2014 20:13:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,19 @@
 Source: pilot-link
 Section: otherosfs
-Build-Depends: debhelper (>= 9~), perl (>= 5.6), libpng-dev, libreadline-dev, python-all-dev (>= 2.6.6-3~), python-all-dbg, libusb-dev, libbluetooth-dev [linux-any], pkg-config, libpopt-dev, autotools-dev, dh-autoreconf
+Build-Depends: debhelper (>= 9~), libpng-dev, libreadline-dev, python-all-dev (>= 2.6.6-3~), dh-python, python-all-dbg, libusb-dev, libbluetooth-dev [linux-any], pkg-config, libpopt-dev, dh-autoreconf
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Standards-Version: 3.9.3
-X-Python-Version: >= 2.3
+XS-Python-Version: >= 2.3
 Homepage: http://www.pilot-link.org/
 
 Package: pilot-link
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: pilot-link-perl
-Suggests: libpda-pilot-perl
 Description: tools to communicate with a PalmOS PDA
  The package contains many command line programs to manipulate databases
  stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
  sync, and restore databases.
-
-Package: libpda-pilot-perl
-Architecture: any
-Section: perl
-Priority: extra
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
-Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
-Conflicts: pilot-link-perl
-Description: Perl module to communicate with a PalmOS PDA
- This package provides the PDA::Pilot module, which provides Perl programs
- with means of communicating directly with a PalmOS device.
 
 Package: python-pisock
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 synclibpkg = libpisync1
 devpkg = libpisock-dev
 runpkg = pilot-link
-perlpkg = libpda-pilot-perl
 pythonpkg = python-pisock
 
 CFLAGS = -Wall -g -pthread
@@ -43,7 +42,7 @@
 	dh_autoreconf
 	./configure --prefix=/usr \
 		--enable-conduits --enable-libusb \
-		--with-perl --with-python --with-libpng \
+		--with-python --with-libpng \
 		--with-libiconv \
 		CFLAGS="$(CFLAGS)"
 
@@ -68,8 +67,6 @@
 	if [ -e Makefile ] ; then $(MAKE) distclean; fi
 	rm -f config.log changelog libtool
 	rm -rf bindings/Python/build
-	dh_autotools-dev_restoreconfig
-	dh_autoreconf_clean
 	dh_clean
 
 pre-binary: build pre-binary-stamp
@@ -77,7 +74,6 @@
 	dh_clean
 	dh_installdirs
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	-find -name site-packages | xargs rm -rf
 	$(MAKE) -C doc/man install DESTDIR=`pwd`/debian/tmp
 	set -e; \
 	cd bindings/Python; \
@@ -88,7 +84,6 @@
 
 	# mini patches
 	cp ChangeLog changelog
-	chmod +x debian/tmp/usr/lib/perl5/PDA/dump.pl
 
 	# install the udev rule file to get the correct file group and permissions 
 	mv debian/tmp/usr/share/pilot-link/udev/60-libpisock.rules  debian/libpisock9.udev
@@ -108,7 +103,7 @@
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build $(libpkg) $(devpkg) $(perlpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg
+binary-arch: build $(libpkg) $(devpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg
 
 $(libpkg): build pre-binary
 	echo $@
@@ -178,22 +173,6 @@
 	dh_md5sums -p $@
 	dh_builddeb -p $@
 
-$(perlpkg): build pre-binary $(libpkg)
-	echo $@
-	dh_installdirs -p $@
-	dh_installchangelogs -p $@
-	dh_installdocs -p $@
-	dh_installexamples -p $@
-	dh_strip -p $@
-	dh_compress -p $@
-	dh_fixperms -p $@
-	dh_installdeb -p $@
-	dh_perl -p $@
-	dh_shlibdeps -p $@
-	dh_gencontrol -p $@ -- -Tdebian/libpda-pilot-perl.substvars.debhelper -Tdebian/libpda-pilot-perl.substvars
-	dh_md5sums -p $@
-	dh_builddeb -p $@
-
 $(pythonpkg): build pre-binary $(libpkg)
 	echo $@
 	dh_installdirs -p $@
@@ -203,7 +182,7 @@
 	dh_compress -p $@
 	dh_fixperms -p $@
 	dh_makeshlibs -p $@
-	dh_python2 -p$@
+	dh_python2 -p $@
 	dh_installdeb -p $@
 	dh_shlibdeps -p $@
 	dh_gencontrol -p $@
@@ -218,7 +197,7 @@
 	dh_compress -p $@
 	dh_fixperms -p $@
 	dh_makeshlibs -p $@
-	dh_python2 -p$@
+	dh_python2 -p $@
 	dh_installdeb -p $@
 	dh_shlibdeps -p $@
 	dh_gencontrol -p $@
@@ -227,5 +206,5 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary \
-	$(libpkg) $(devpkg) $(runpkg) $(perlpkg) $(pythonpkg) pre-binary
-
+	$(libpkg) $(devpkg) $(runpkg) $(pythonpkg) pre-binary
+

=== debian/watch ===
# use uscan(1)
version=2

# Full-site-with-pattern  [Version  [Action]]
http://downloads.pilot-link.org/pilot-link-(\d*\.\d*\.\d*)\.tar\.bz2 debian uupdate
